libmspack

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- alloc : mspack_system
- append : mscab_decompressor
- attribs : mscabd_file

### - b -

- base : mschmd_sec_uncompressed , mschmd_sec_mscompressed
- base_offset : mscabd_cabinet

### - c -

- chm : mschmd_section
- chm_filename : mschmc_file
- chunk_cache : mschmd_header
- chunk_size : mschmd_header
- close : msszdd_decompressor , mskwaj_decompressor , mspack_system , mscab_decompressor , mschm_decompressor
- comp_type : mscabd_folder , mskwajd_header
- compress : msoab_compressor , mskwaj_compressor , msszdd_compressor
- compress_incremental : msoab_compressor
- content : mschmd_sec_mscompressed
- control : mschmd_sec_mscompressed
- copy : mspack_system

### - d -

- data_offset : mskwajd_header
- date_d : mscabd_file
- date_m : mscabd_file
- date_y : mscabd_file
- decompress : msszdd_decompressor , mskwaj_decompressor , msoab_decompressor
- decompress_incremental : msoab_decompressor
- density : mschmd_header
- depth : mschmd_header
- dir_offset : mschmd_header
- dummy : mscab_compressor , mshlp_compressor , mslit_decompressor , mslit_compressor , mspack_file , mshlp_decompressor

### - e -

- extra : mskwajd_header
- extra_length : mskwajd_header
- extract : msszdd_decompressor , mschm_decompressor , mscab_decompressor , mskwaj_decompressor

### - f -

- fast_find : mschm_decompressor
- fast_open : mschm_decompressor
- filename : mscabd_file , mskwajd_header , mschmc_file , mscabd_cabinet , mschmd_header , mschmd_file
- files : mscabd_cabinet , mschmd_header
- first_pmgl : mschmd_header
- flags : mscabd_cabinet
- folder : mscabd_file
- folders : mscabd_cabinet
- format : msszddd_header
- free : mspack_system

### - g -

- generate : mschm_compressor

### - h -

- header_resv : mscabd_cabinet
- headers : mskwajd_header

### - i -

- id : mschmd_section
- index_root : mschmd_header

### - l -

- language : mschmd_header
- last_error : mscab_decompressor , mschm_decompressor , mskwaj_decompressor , msszdd_compressor , mschm_compressor , msszdd_decompressor , mskwaj_compressor
- last_pmgl : mschmd_header
- length : mskwajd_header , mscabd_file , mschmc_file , mschmd_file , mschmd_header , mscabd_cabinet , msszddd_header

### - m -

- message : mspack_system
- missing_char : msszddd_header

### - n -

- next : mscabd_cabinet , mscabd_folder , mschmd_file , mscabd_file
- nextcab : mscabd_cabinet
- nextinfo : mscabd_cabinet
- nextname : mscabd_cabinet
- null_ptr : mspack_system
- num_blocks : mscabd_folder
- num_chunks : mschmd_header

### - o -

- offset : mscabd_file , mschmd_sec_uncompressed , mschmd_file
- open : mschm_decompressor , mscab_decompressor , mspack_system , msszdd_decompressor , mskwaj_decompressor

### - p -

- prepend : mscab_decompressor
- prevcab : mscabd_cabinet
- previnfo : mscabd_cabinet
- prevname : mscabd_cabinet

### - r -

- read : mspack_system
- rtable : mschmd_sec_mscompressed

### - s -

- search : mscab_decompressor
- sec0 : mschmd_header
- sec1 : mschmd_header
- section : mschmc_file , mschmd_file
- seek : mspack_system
- set_extra_data : mskwaj_compressor
- set_filename : mskwaj_compressor
- set_id : mscabd_cabinet
- set_index : mscabd_cabinet
- set_param : mskwaj_compressor , mschm_compressor , msszdd_compressor , mscab_decompressor
- spaninfo : mschmd_sec_mscompressed
- sysfiles : mschmd_header

### - t -

- tell : mspack_system
- time_h : mscabd_file
- time_m : mscabd_file
- time_s : mscabd_file
- timestamp : mschmd_header

### - u -

- use_temporary_file : mschm_compressor

### - v -

- version : mschmd_header

### - w -

- write : mspack_system

All Data Structures Files Functions Variables Defines